Skip to main content
PATCH
/
v1
/
namespaces
/
{object.tenant_meta.namespace}
/
exporters
UpdateExporter
curl --request PATCH \
  --url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/exporters \
  --header 'Content-Type: application/json' \
  --data '
{
  "object": {
    "meta": {
      "name": "<string>",
      "annotations": {},
      "description": "<string>",
      "index_data": {},
      "parent_kind": "<string>",
      "parent_uuid": "<string>",
      "tags": [
        "<string>"
      ]
    },
    "propagate": true,
    "spec": {
      "exporter_type": "EXPORTER_TYPE_UNSPECIFIED",
      "message_type_configs": [
        {
          "message_export_format": "MESSAGE_EXPORT_FORMAT_UNSPECIFIED",
          "message_type": "MESSAGE_TYPE_UNSPECIFIED"
        }
      ],
      "s3_config": {
        "allowed_audience": "<string>",
        "assume_role_arn": "<string>",
        "bucket_name": "<string>",
        "region": "<string>",
        "object_expiry_days": 123
      },
      "wiz_config": {
        "api_endpoint_url": "<string>",
        "oauth_client_credentials": {
          "client_id": "<string>",
          "client_secret": "<string>",
          "auth_endpoint_url": "<string>"
        }
      }
    },
    "tenant_meta": {}
  },
  "request": {
    "force": true,
    "update_mask": "<string>"
  }
}
'
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "exporter_type": "EXPORTER_TYPE_UNSPECIFIED",
    "message_type_configs": [
      {
        "message_export_format": "MESSAGE_EXPORT_FORMAT_UNSPECIFIED",
        "message_type": "MESSAGE_TYPE_UNSPECIFIED"
      }
    ],
    "s3_config": {
      "allowed_audience": "<string>",
      "assume_role_arn": "<string>",
      "bucket_name": "<string>",
      "region": "<string>",
      "object_expiry_days": 123
    },
    "wiz_config": {
      "api_endpoint_url": "<string>",
      "oauth_client_credentials": {
        "client_id": "<string>",
        "client_secret": "<string>",
        "auth_endpoint_url": "<string>"
      }
    }
  },
  "propagate": true,
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

object.tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

Body

application/json

Request to update the exporter.

object
object

Defines a data exporter.

request
object

Message used for all update requests.

Response

A successful response.

Defines a data exporter.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
propagate
boolean

Indicates whether the object should be visible in the child namespaces or not.

tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string

The UUID of the exporter.